Domains
All operations require authentication.
List domainsProduction
Path parameters
The internal name of your CDN offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a domainProduction
Path parameters
The internal name of your CDN offer
Request body (required)
domain name to add on CDN
Response
Domain of this object
All states a status can be in
erroroffonremovingAll type of Domain
plainsslExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains \
-H "authorization: Bearer $OVH_TOKEN"{ "cacheRuleUse": 0, "cname": "string", "domain": "string", "status": "error", "type": "plain"}
Get a domainProduction
Path parameters
Domain of this object
The internal name of your CDN offer
Response
Domain of this object
All states a status can be in
erroroffonremovingAll type of Domain
plainsslExample uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"{ "cacheRuleUse": 0, "cname": "string", "domain": "string", "status": "error", "type": "plain"}
Delete a domainProduction
Path parameters
Domain of this object
The internal name of your CDN offer
Response
All function CDN task can be
flushflushAllgenerateSslinstallSslreinstallSslremoveDomainuninstallSslupdateCacheRuleAll states a CDN task can be in
cancelleddoingdoneerrortodoExample uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"{ "comment": "string", "function": "flush", "status": "cancelled", "taskId": 0}
Update a domainProduction
Path parameters
Domain of this object
The internal name of your CDN offer
Request body (required)
Domain of this object
All states a status can be in
erroroffonremovingAll type of Domain
plainsslResponse
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cdn/ dedicated/ {serviceName}/ domains/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"